Bug 1492589 - [RGW:NFS]: Writing a large size file fails on the NFS mount
Summary: [RGW:NFS]: Writing a large size file fails on the NFS mount
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 3.1
Assignee: Matt Benjamin (redhat)
QA Contact: vidushi
Bara Ancincova
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1494421 1584264
TreeView+ depends on / blocked
 
Reported: 2017-09-18 09:19 UTC by vidushi
Modified: 2018-11-06 18:09 UTC (History)
12 users (show)

(edit)
.The Ceph Object Gateway requires applications to write sequentially

The Ceph Object Gateway requires applications to write sequentially from offset 0 to the end of a file. Attempting to write out of order causes the upload operation to fail. To work around this issue, use utilities like `cp`, `cat`, or `rsync` when copying files into NFS space. Always mount with the `sync` option.
Clone Of:
: 1647139 (view as bug list)
(edit)
Last Closed: 2018-09-26 18:16:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2819 None None None 2018-09-26 18:18 UTC

Description vidushi 2017-09-18 09:19:53 UTC
Description of problem:
Cannot write a large size file on the NFS mount. Tried writing 500Mb but it fails with IO error.
[root@host mnt2]# dd if=/dev/urandom of=test2/file1  bs=10M count=50
dd: closing output file ‘test2/file1’: Input/output error
[root@host mnt2]# 
Considering S3 has a limit of 5GB in a single PUT operation, what is the maximum file size we can directly write in a directory in the NFS mount? 

Version-Release number of selected component (if applicable):
ceph version 12.2.0-2.el7cp
nfs-ganesha-rgw-2.5.2-2.el7cp.x86_64
nfs-ganesha-2.5.2-2.el7cp.x86_64

How reproducible:
3/3

Steps to Reproduce:
1. Configure NFS server on an RGW  and configure NFS client and mount share with NFSv3.
2. Create a file and write 500Mb of data
3. Operation fails with IO error

Actual results:


Expected results:

Comment 26 errata-xmlrpc 2018-09-26 18:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2819


Note You need to log in before you can comment on or make changes to this bug.